<%/* Log request */%>
<%($(common.mobile_logging.enabled) =="1")&log_string("mobile", %REMOTE_BROWSER)%>

<%/* Session Controller for accounts */ %>
<%&include("common/session_controller.txt")%>

<%/* Split %content into path parts and make sure view.html.tmpl is the template receiving control instead of standard vi-template container.html.tmpl */%>
<%|define_split("content_parts", "/")|<%|replace("container", "view")|%content%>%>

<%|define("mobile_content")|mobile/smartphone/%content_parts[#@content_parts - 1]%>
<%(!?mobile_appl)
	<%|define("mobile_appl")|<%|regex_replace(R["\\.(html|json)", "i"], "", "1")|%content_parts[#@content_parts-1]%>%>
%>

<%/* Define css stuff */%>
<%(&has_cookie($(common.css.unminified_cookie_name)) != "1" && $(common.regress) != "1")
	<%|define("css_suffix")|_min%>
%>

<%/* base JS: always show */%>
<%($(mod_templates.type.base.js.#) > 0 && $(mod_templates.type.%mobile_appl.not_load_base.js) == "" )
	<%|define("js_includes")|$(mod_templates.type.base.js.$$(mod_templates.type.base.js.*))%>
%>

<%/* application JS: show only when on this application */%>
<%($(mod_templates.type.%mobile_appl.js.#) > 0)
	<%|define("js_includes")|$(mod_templates.type.%mobile_appl.js.$$(mod_templates.type.%mobile_appl.js.*))%>
%>

<%/* default JS: show only when no application JS specified */%>
<%($(mod_templates.type.%mobile_appl.js.#) < 1)
	<%<%|define("js_includes")|$$(mod_templates.type.default.js.@)%>%>
%>

<%/* base CSS: always show */%>
<%($(mod_templates.type.base.css.#) > 0)
	<%|define("css_includes")|$(mod_templates.type.base.css.$$(mod_templates.type.base.css.*))%>
%>

<%/* application CSS: show only when on this application */%>
<%($(mod_templates.type.%mobile_appl.css.#) > 0)
	<%|define("css_includes")|$(mod_templates.type.%mobile_appl.css.$$(mod_templates.type.%mobile_appl.css.*))%>
%>

<%/* default CSS: show only when no application CSS specified */%>
<%($(mod_templates.type.%mobile_appl.css.#) < 1)
	<%<%|define("css_includes")|$$(mod_templates.type.default.css.@)%>%>
%>

<%/* Define some vars used later (in both communication with api, controllers and the html templates themselves */%>
<%(%REQUEST_URI ! =~ R["(account|edit|newad)"])
	<%|define("base_url")|base_url%>
	<%|define("api_content")|apitemplates/<%|replace("html","json")|%content_parts[#@content_parts - 1]%>%>
::
	<%|define("base_url")|base_url_httpsproxy%>
	<%(%mobile_appl ! =~ R["(newad|edit)"])
		<%|define("api_content")|apitemplates/mypages/<%|replace("html","json")|%content_parts[#@content_parts - 1]%>%>
	%>
%>

<%/* Define some device dependant vars */%>
<%(%REMOTE_BROWSER =~ R["iPod", "i"] || %REMOTE_BROWSER =~ R["iPhone", "i"] || %REMOTE_BROWSER =~ R["iPad", "i"])
	<%|define("is_ios6")|(%REMOTE_BROWSER =~ R["OS.6", "i"])1::0%>
%>

<%/* Delegate control to specific application controller (which in turn communicates with API as needed) */%>
<%&include(&concat("mobile/smartphone/controllers/", %mobile_appl, ".txt"))%>

<%/* Check if redirect should be performed and if so, DO IT! Otherwise, do more logic */%>
<%(?redirect_url && %redirect_url != "")
	&redirect(%redirect_url)
::
	<%/* Define name of root node in api vtree */%>
	<%|define("json_root_name")|<%(?appl && %appl != "")%appl::(?mobile_appl && %mobile_appl != "")%mobile_appl::data%>%>

	<%/* Determine if iphone(ish) or not. */%>
	<%|define("is_iphone")|1%>

	<%/* Document domain fix for regress or not */%>
	<%|define("doc_domain_js")|<%($(common.regress) == "1")document.domain = document.domain;::document.domain = document.domain.split('.').slice(-2).join('.');%>%>

	<%/* All logic performed, get content from specific template (but only if were not about to redirect) */%>
	<%(!?redirect_url || %redirect_url == "")
		<%(%mobile_page_group == "ad_actions")
			<%|json_vtree(%view, "view")|<%|define("main_content")|<%|include(%mobile_content)|%>%>%>
		::(%mobile_appl == "view")
			<%|json_vtree(%nextad, "nextad")|<%|json_vtree(%related_ads, "related_ads")|<%|json_vtree(%response, %json_root_name)|<%|json_vtree(%partner_data, "partner_data")|<%|define("main_content")|<%|include(%mobile_content)|%>%><%|define("page_title")|$(vi.subject) %>%>%>%>%>
		::(%mobile_appl == "list")
			<%(?search_params)
				<%|json_vtree(%search_params, "search_params")|<%|json_vtree(%response, %json_root_name)|<%|define("main_content")|<%|include(%mobile_content)|%>%>%>%>
			::
				<%|json_vtree(%response, %json_root_name)|<%|define("main_content")|<%|include(%mobile_content)|%>%>%>
			%>
		::(%mobile_appl == "index")
			<%|json_vtree(%response, "data")|<%|define("main_content")|<%|include(%mobile_content)|%>%>%>
		::(%mobile_appl == "newad")
			<%|json_vtree(%newad_settings, "newad_settings")|<%|json_vtree(%newad_response, "json")|<%|json_vtree(%category_list, "category_list")|<%|define("main_content")|<%|include(%mobile_content)|%>%>%>%>%>
		::(%mobile_appl == "newad_confirm")
			<%|define("appl_override")|newad%>
			<%|define("main_content")|<%|include("mobile/smartphone/include/newad_confirm.html")|%>%>
		::(%mobile_appl == "savedsearches" || %mobile_appl == "savedads")
			<%|json_vtree(%adwatch_data, "adwatch_data")|<%|define("main_content")|<%|include(%mobile_content)|%>%>%>
		::(%mobile_appl == "editad")
			<%|json_vtree(%response, %json_root_name)|<%|define("main_content")|<%|include(%content)|%>%>%>
		::
			<%|json_vtree(%response, %json_root_name)|<%|define("main_content")|<%|include(%mobile_content)|%>%>%>
		%>
	%>
%>
